summaryrefslogtreecommitdiffstats
path: root/tests/benchmarks
diff options
context:
space:
mode:
authorsharkdp <davidpeter@web.de>2018-05-21 00:29:20 +0200
committersharkdp <davidpeter@web.de>2018-05-22 23:32:46 +0200
commit556149ad3a0a85c4139cfe3dafbab45cbb4c5443 (patch)
treebe6a7023d87d2483a80b1ccbd40b68bed7ab97b3 /tests/benchmarks
parent33bbf254684b3cff3f5af01b77ea83b452c9822b (diff)
Add comparison benchmark
Diffstat (limited to 'tests/benchmarks')
-rw-r--r--tests/benchmarks/comparison.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/benchmarks/comparison.sh b/tests/benchmarks/comparison.sh
new file mode 100644
index 00000000..56bb1474
--- /dev/null
+++ b/tests/benchmarks/comparison.sh
@@ -0,0 +1,23 @@
+if ! which hyperfine > /dev/null 2>&1; then
+ echo "'hyperfine' does not seem to be installed."
+ echo "You can get it here: https://github.com/sharkdp/hyperfine"
+ exit 1
+fi
+
+SRC="test-src/jquery-3.3.1.js"
+
+
+cmd_bat="bat --style=full --color=always --paging=never '$SRC'"
+cmd_pygmentize="pygmentize -g '$SRC'"
+cmd_highlight="highlight -O truecolor '$SRC'"
+cmd_ccat="ccat --color=always '$SRC'"
+cmd_source_highlight="source-highlight --failsafe --infer-lang -f esc -i '$SRC'"
+cmd_hicat="hicat '$SRC'"
+
+hyperfine --warmup 3 \
+ "$cmd_bat" \
+ "$cmd_pygmentize" \
+ "$cmd_highlight" \
+ "$cmd_ccat" \
+ "$cmd_source_highlight" \
+ "$cmd_hicat" \